package com.kingdee.eas.custom.facade.leave;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class LeaveAllowanceFacadeFactory
{
    private LeaveAllowanceFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.facade.leave.ILeaveAllowanceFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.facade.leave.ILeaveAllowanceFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("1FBBCAEE") ,com.kingdee.eas.custom.facade.leave.ILeaveAllowanceFacade.class);
    }
    
    public static com.kingdee.eas.custom.facade.leave.ILeaveAllowanceFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.leave.ILeaveAllowanceFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("1FBBCAEE") ,com.kingdee.eas.custom.facade.leave.ILeaveAllowanceFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.facade.leave.ILeaveAllowanceFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.leave.ILeaveAllowanceFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("1FBBCAEE"));
    }
    public static com.kingdee.eas.custom.facade.leave.ILeaveAllowanceFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.leave.ILeaveAllowanceFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("1FBBCAEE"));
    }
}